<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2011 rel. 3 (http://www.altova.com) by PostNL (TNT Post Shared Services B.V. ICT Mail) -->
<!--	
major/ minor versie:	0.9
datum creatie:			maart 2013, toegevoegd aan CSPostNLTST op 22-04-2013
datum productie:		
gemaakt door			Ronald Allard als stage opdracht, goedgekeurd door Henk Willemse, informatie architect
doelgroep					training CS, PostNL Autobedrijf

Dit XSD is geinspireerd op Shipment en PurchaseOrder van OAGIS.
DIT BESTAND BEVAT NOG FIELDS EN COMPONENTS DIE VERPLAATST MOETEN WORDEN NAAR DE FIELDS EN COMPONENT FILES
ZIE ONDER AAN DIT BESTAND HET COMPONENT EN FIELD BLOCK!

   Schema agency: 	Open Applications Group 
   OAGIS® Revision:    OAGIS 9_5  
   Date:               05 May 2011
   Name: /OAGi-BPI-Platform/org_openapplications_oagis/9_5/Developer/Nouns/Shipment.xsd
-->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/transportcontract/1" xmlns:lo1="urn:postnl/mail/logisticscomponents/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" xmlns:om1="urn:postnl/mail/ordermanagementcomponents/1" targetNamespace="urn:postnl/mail/transportcontract/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/logisticscomponents/1" schemaLocation="../../Common/OAGI/Components/LogisticsComponents1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/ordermanagementcomponents/1" schemaLocation="../../Common/OAGI/Components/OrderManagementComponents1.xsd"/>
	<xsd:element name="TransportContract" type="TransportContractType">
		<xsd:annotation>
			<xsd:documentation>The TransportContract contains the information for the transportation of freight by a specific supplier company (NL: Vervoersopdracht).</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="TransportContractType">
		<xsd:annotation>
			<xsd:documentation>The TransportContract contains the information for the transportation of freight by a specific supplier company</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element ref="TransportContractHeader" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>Contains the header information for this TransportContract</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="TransportContractLine" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>Contains the shipment details for this TransportContract. Each line can be uniquely identified by the FreightUnitID</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
		<xsd:attribute name="type" type="fi1:NormalizedStringType"/>
	</xsd:complexType>
	<xsd:element name="TransportContractLine" type="TransportContractLineType">
		<xsd:annotation>
			<xsd:documentation>The TransportContract contains the information for the transportation of freight by a specific supplier company</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="TransportContractLineType">
		<xsd:annotation>
			<xsd:documentation>The TransportContract contains the information for the transportation of freight by a specific supplier company</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element ref="fi1:TransportType" minOccurs="0"/>
			<xsd:element ref="co1:ExecutionPeriod" minOccurs="0"/>
			<xsd:element ref="co1:ExecutionBlockPeriod" minOccurs="0"/>
			<xsd:element ref="co1:ExecutionDays" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>Indicator for the days on which this order should be executed weekly during the ExecutionDuration</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="co1:FreightUnits" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>The expected freight units to be loaded and unloaded grouped by freight unit type and ID</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="co1:LoadInstruction" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>Instructions for the loading process</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="co1:UnloadInstruction" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>Instructions for the unloading process</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="co1:TransportHandling" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>TransportHandling that must take place and is not associated with the loading or unloading process</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="TransportContractHeader" type="TransportContractHeaderType">
		<xsd:annotation>
			<xsd:documentation>The TransportContract contains the information for the transportation of freight by a specific supplier company</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="TransportContractHeaderType">
		<xsd:annotation>
			<xsd:documentation>The TransportContractcontains the information for the transportation of freight by a specific supplier company</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="fi1:TransportOrderType" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>The type of TransportContract this is in terms of STRUCTURAL or SPEEDY</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element ref="co1:CustomerParty" minOccurs="0"/>
					<xsd:element ref="co1:SupplierParty" minOccurs="0"/>
					<xsd:element ref="co1:BillToParty" minOccurs="0"/>
					<xsd:element ref="co1:ContractReference" minOccurs="0"/>
					<xsd:element ref="fi1:TotalAmount" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
</xsd:schema>
